# Interface methods for submodule: MersenneTwisterRandomVariateGenerator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: MersenneTwisterRandomVariateGenerator
class MersenneTwisterRandomVariateGeneratorProxy():
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	@staticmethod
	def GetInstance():
		""""""
		...

	@staticmethod
	def ResetNextSeed() -> None:
		""""""
		...

	@overload
	def Initialize(self, seed: int) -> None:
		""""""
		...

	@overload
	def Initialize(self) -> None:
		""""""
		...

	@overload
	def GetVariateWithClosedRange(self) -> float:
		""""""
		...

	@overload
	def GetVariateWithClosedRange(self, n: float) -> float:
		""""""
		...

	@overload
	def GetVariateWithOpenUpperRange(self) -> float:
		""""""
		...

	@overload
	def GetVariateWithOpenUpperRange(self, n: float) -> float:
		""""""
		...

	@overload
	def GetVariateWithOpenRange(self) -> float:
		""""""
		...

	@overload
	def GetVariateWithOpenRange(self, n: float) -> float:
		""""""
		...

	@overload
	def GetIntegerVariate(self) -> int:
		""""""
		...

	@overload
	def GetIntegerVariate(self, n: int) -> int:
		""""""
		...

	def Get53BitVariate(self) -> float:
		""""""
		...

	def GetNormalVariate(self, mean: float = 0, variance: float = 1) -> float:
		""""""
		...

	def GetUniformVariate(self, a: float, b: float) -> float:
		""""""
		...

	def GetVariate(self) -> float:
		""""""
		...

	def __call__(self) -> float:
		""""""
		...

	@overload
	def SetSeed(self, oneSeed: int) -> None:
		""""""
		...

	@overload
	def SetSeed(self) -> None:
		""""""
		...

	def GetSeed(self) -> int:
		""""""
		...

	@staticmethod
	def GetNextSeed() -> int:
		""""""
		...

